PHP 7 et FASTCGI (Question sur son installation)

116727
,

Salutation à tous !

Mon serveur a toujours fonctionné avec la méthode Apache avec PHP en tant que module simple.
Après avoir acquis d'un nouveau serveur dédié de la nouvelle génération, j'ai alors suivi les tutoriels sur l'installation et le paramétrage "propre" d'un serveur web de A à Z (merci à Grafikart sur l'efficacité de ses tutoriels). Bien que conscient que le tutoriel utilise la version 5 de PHP et la distribution Debian Jessie, j'ai acquis une installation sur la distribution Debian Stretch ainsi que PHP 7.0 et j'ai opté cette fois-ci la méthode en CGI.

Cependant voilà, malgrès les informations que j'ai complété dans les "souces.list" (contrib non-free) je n'arrive pas à obtenir le paquet suivant : libapache2-mod-fastcgi

Donc impossible de continuer à paramétrer correctement la méthode CGI de PHP 7.0 (Je suis coincé après avoir installer les paquets PHP7.0-FPM et sa suite)
J'ai regardé partout, même sur les autres sites où ils exploitent le module en question.

Du coup, voici mes questions :

  1. La configuration de PHP 7.0 en CGI est-elle différente que la version 5 ?
  2. Y a-t-il possibilité d'obtenir ce module ou bien n'est-il pas encore été mis à jour avec la version 7 (et peut-être avec la nouvelle version Debian aussi) ?

Si je n'ai pas de solution, je me vois de retourner à la méthode simple où Apache gère PHP.

Merci d'avance.

1 Réponse

Default
,

Salut,

Le paquet libapache2-mod-fastcgi n'est plus maintenu et est en version oldoldstable sur le site de Debian, il faut utiliser ole module mod_proxy_fcgi (La doc par ici).